- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Private Member Functions | List of all members
WPSDocumentParsingState Struct Reference

the document state More...

## Public Member Functions
| WPSDocumentParsingState (std::vector< WPSPageSpan > const &pageList)
| constructor More...
| ~WPSDocumentParsingState ()
| destructor More...

## Public Attributes
std::vector< WPSPageSpan > | m_pageList
librevenge::RVNGPropertyList | m_metaData
int | m_footNoteNumber
| footnote number More...
int | m_endNoteNumber
| endnote number More...
int | m_newListId
bool | m_isDocumentStarted
bool | m_isHeaderFooterStarted
std::vector< WPSSubDocumentPtr > | m_subDocuments

## Private Member Functions
| WPSDocumentParsingState (const WPSDocumentParsingState &)
| list of document actually open More...
WPSDocumentParsingState & | operator= (const WPSDocumentParsingState &)

## Detailed Description

the document state

## Constructor & Destructor Documentation

WPSDocumentParsingState::WPSDocumentParsingState | ( | std::vector< WPSPageSpan > const & | pageList | ) |
| explicit

constructor

WPSDocumentParsingState::~WPSDocumentParsingState | ( |  | ) |

destructor

WPSDocumentParsingState::WPSDocumentParsingState | ( | const WPSDocumentParsingState & |  | ) |
| private

list of document actually open

## Member Function Documentation

WPSDocumentParsingState& WPSDocumentParsingState::operator= | ( | const WPSDocumentParsingState & |  | ) |
| private

## Member Data Documentation

int WPSDocumentParsingState::m_endNoteNumber

endnote number

int WPSDocumentParsingState::m_footNoteNumber

footnote number

bool WPSDocumentParsingState::m_isDocumentStarted

bool WPSDocumentParsingState::m_isHeaderFooterStarted

librevenge::RVNGPropertyList WPSDocumentParsingState::m_metaData

int WPSDocumentParsingState::m_newListId

std::vector<WPSPageSpan> WPSDocumentParsingState::m_pageList

std::vector<WPSSubDocumentPtr> WPSDocumentParsingState::m_subDocuments

The documentation for this struct was generated from the following file:

- WPSContentListener.cpp